JBoss API: Class ConnectorFactoryImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class ConnectorFactoryImpl

    java.lang.Object
      |
      +--org.jboss.jmx.client.ConnectorFactoryImpl

public class ConnectorFactoryImpl
extends java.lang.Object

Factory delivering a list of servers and its available protocol connectors and after selected to initiate the connection This is just the (incomplete) interface of it

Author:
  Andreas "Mad" Schaefer

Inner Class Summary
`static class` | `ConnectorFactoryImpl.ConnectorName` Container for a JMX Connector representation
`static interface` | `ConnectorFactoryImpl.IConnectorTester` Interface defined a Connector Tester to verify JMX Connectors based on the information delivered by a JNDI server
`static class` | `ConnectorFactoryImpl.JBossConnectorTester` Default implementation of the jBoss JMX Connector tester

Constructor Summary
`ConnectorFactoryImpl(javax.management.MBeanServer pServer)`

Method Summary
`JMXConnector` | `createConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Initiate a connection to the given server with the given protocol
`java.util.Iterator` | `getConnectors(java.util.Hashtable pProperties, ConnectorFactoryImpl.IConnectorTester pTester)` Look up for all registered JMX Connector at a given JNDI server
`void` | `removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Removes the given connection and frees the resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorFactoryImpl

    public ConnectorFactoryImpl(javax.management.MBeanServer pServer)

Method Detail

### getConnectors

    public java.util.Iterator getConnectors(java.util.Hashtable pProperties,
                                            ConnectorFactoryImpl.IConnectorTester pTester)

  Look up for all registered JMX Connector at a given JNDI server
  Parameters:
    `pProperties` - List of properties defining the JNDI server
    `pTester` - Connector Tester implementation to be used
  Returns:
    An iterator on the list of ConnectorNames representing the found JMX Connectors

### createConnection

    public JMXConnector createConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Initiate a connection to the given server with the given protocol
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector
  Returns:
    JMX Connector or null if server or protocol is not supported

### removeConnection

    public void removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Removes the given connection and frees the resources
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.